FAQ
Ok your route is the wrong way around , puppetdb wont play nice with sub
3.5.1 in my experience so your puppet master should be upgraded first when
it is upgraded then do the rest, and why not version pin your clients via a
puppet class ?

My experience is that the 2.x client will give you trouble with the later
puppet versions so you might need to start with pinning them all to the
same patch level and go from there.

Anyways general rule is that it is a bad idea to mix versions this far
apart :S

On Sunday, June 29, 2014 10:49:21 AM UTC+2, Fabio Coatti wrote:

Hi all,
I have an installation with puppetdb 1.6.3, puppet master 3.4.3, agents
ranging from 2.7 to 3.4 and various facter versions, up to 2.X

Now I'm evaluating to upgrade this installation starting from puppetdb and
then down the pipe, but even looking at documentation I'm not sure about
the requirements. That means: can I update to puppetdb 2.X first? does
puppetdb cares about agents/facter version or relies only on master version?

With a broader scope, is there any small table with requirements? It would
be definitely helpful in planning updates in "difficult" environments (i.e.
lots of different versions, machines and so on.)

Many thanks for any answer.
--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/puppet-users/08566e05-ac51-40c9-93b7-452100ccc00b%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Search Discussions

Discussion Posts

Previous

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 2 of 2 | next ›
Discussion Overview
grouppuppet-users @
categoriespuppet
postedJun 29, '14 at 8:49a
activeJun 29, '14 at 11:51a
posts2
users2
websitepuppetlabs.com

2 users in discussion

Fabio Coatti: 1 post Jelle B.: 1 post

People

Translate

site design / logo © 2022 Grokbase